# SourcePath: libxml2/20170926dev
Summary: Library providing XML and HTML support
Name: sony-target-dev-libxml2
%define pkgname %{sony_target_config}-%{sony_target_dialect}-dev-libxml2
Version: 2.9.5
Release: 08020501
License: MIT
Source: ftp://xmlsoft.org/libxml2-%{version}.tar.gz
Patch1: libxml-2.9.5-python-prefix.patch
URL: http://xmlsoft.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# BuildRequires: python python-devel zlib-devel
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

Docdir: %{_docdir}

%description
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%package -n %{pkgname}
Summary: Library providing XML and HTML support
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This library allows to manipulate XML files. It includes support 
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

%prep
%setup -n libxml2-%{version} -q

%patch1 -p1

%build
%sony_target_dev_setup
%demangle_XXX_config
%define pyver 2.7

%sony_target_dev_configure --with-python=%{sony_host_bin_dir}/python%{pyver} --prefix=%{sony_target_dir}/usr
make LDFLAGS="-L%{sony_target_dir}/lib -L%{sony_target_dir}/usr/lib"

%install
rm -fr %{buildroot}
%sony_target_dev_setup
cd objdir &&  make LDFLAGS="-L%{sony_target_dir}/lib -L%{sony_target_dir}/usr/lib" DESTDIR=%{buildroot}%{sony_target_dir} install

%demangle_libtool

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dir}%{sony_target_dev_bin_dir}/xml* \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dir}%{sony_target_dev_lib_dir}/lib* \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}
cp ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dir}%{sony_target_dev_lib_dir}/xml2Conf.sh \
${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dir}%{sony_target_dev_lib_dir}/cmake \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/python%{pyver}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_host_lib_dir}/python%{pyver}/* \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/python%{pyver}

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dir}%{sony_target_dev_data_dir}/* \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc

%clean
rm -fr %{buildroot}

%files -n %{pkgname}
%defattr(-, root, root)

%{sony_target_dir}%{sony_target_dev_lib_dir}/lib*.so.*

%{sony_target_dir}%{sony_target_dev_lib_dir}/lib*.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/*a
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.sh

%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal/libxml.m4

%{sony_target_dir}%{sony_target_dev_lib_dir}/python*/site-packages/libxml2.py*
%{sony_target_dir}%{sony_target_dev_lib_dir}/python*/site-packages/drv_libxml2.py*
%{sony_target_dir}%{sony_target_dev_lib_dir}/python*/site-packages/libxml2mod*

%{sony_target_dir}%{sony_target_dev_include_dir}/*

%{sony_target_dir}%{sony_target_devtool_bin_dir}/xml2-config
%{sony_target_dir}%{sony_target_devtool_bin_dir}/xmlcatalog
%{sony_target_dir}%{sony_target_devtool_bin_dir}/xmllint
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libxml-2.0.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/cmake/libxml2/libxml2-config.cmake

%{sony_target_dir}%{sony_target_devtool_lib_dir}/*a

%changelog
* Tue Sep 26 2017 Sony Corporation
- Version up 2.7.7 -> 2.9.5

* Wed Feb 18 2015 Sony Corporation
- Changed due to change in Python version.

* Tue Feb 03 2015 Sony Corporation
- Merging changes from CE Linux 8.2.1.X.

* Fri Mar 09 2012 Sony Corporation
- combined patch CVE-2010-4008-4494-2011-1944-2821-2834, CVE-2011-0216,
  CVE-2011-3905, CVE-2011-3919, CVE-2012-0841 security fix are added

* Mon Sep  12 2011 Sony Corporation
- CVE-2010-4008, CVE-2010-4494 and CVE-2011-1944 security fix are added.

* Thu Jun 08 2011 Sony Corporation
- Added PATH=/usr/bin to use CentOS python only

* Tue Apr  6 2010 Sony Corporation
- Initial build

